## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           deepin-calculator
Version:        6.5.0
Release:        %autorelease
Summary:        An easy to use calculator for ordinary users
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-calculator
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# fix: don't ignore linker flags specified by system
Patch0:         https://github.com/linuxdeepin/deepin-calculator/pull/82.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  qt5-linguist

BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(dtkgui)
BuildRequires:  pkgconfig(dtkcore)

BuildRequires:  desktop-file-utils
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel

Requires:       hicolor-icon-theme
Recommends:     deepin-manual

%description
%{summary}.

%prep
%autosetup -p1
sed -i 's|lrelease|lrelease-qt5|g' translate_generation.sh

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install
%find_lang deepin-calculator --with-qt
rm %{buildroot}%{_datadir}/deepin-calculator/translations/deepin-calculator.qm

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f deepin-calculator.lang
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/deepin-manual/

%changelog
## START: Generated by rpmautospec
* Sat Oct 26 2024 topazus <topazus@outlook.com> - 6.5.0-1
- 6.5.0

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.8.24-1
- New release 5.8.24

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jun 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.7.20-1
- New release 5.7.20

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.7.16-1
- New release 5.7.16

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.7.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.7.12-1
- New release 5.7.12

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.7.0.19-1
- New release 5.7.0.19

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.6.0.10-1
- fix: fix bug--57861 (jingzhou)
- fix: fix bug--55167 (jingzhou)
- chore: 修改中文下未显示翻译的问题 (jingzhou)
- chore: 修改选中删除和退格键事件 (jingzhou)
- chore: UT test 路径调整 (jingzhou)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 11 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.6.0.1-1
- new upstream release: 5.6.0.1

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.1-1
- Release 5.0.1

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 1.0.10-1
- Update to 1.0.10

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.0.9-1
- Update to 1.0.9

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 1.0.6-1
- Update to 1.0.6

* Thu Aug  2 2018 mosquito <sensor.wen@gmail.com> - 1.0.5-1
- Update to 1.0.5

* Mon Jul 23 2018 mosquito <sensor.wen@gmail.com> - 1.0.4-1
- Update to 1.0.4

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 20 2018 mosquito <sensor.wen@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Sat Dec  9 2017 mosquito <sensor.wen@gmail.com> - 1.0.1-1
- Update to 1.0.1

* Sat Dec  2 2017 mosquito <sensor.wen@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 0.9.0-1
- Initial package build

## END: Generated by rpmautospec
